package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 安保检查建筑数据
 * </p>
 *
 * @author ya
 * @since 2022-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemSecurityBuild implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户ID
     */
    @JsonProperty("app_key")
    private String appKey;

    /**
     * 单位与所在建筑关系
     */
    @JsonProperty("company_build")
    private String companyBuild;

    /**
     * 单位的经营活动场所是否设计地下
     */
    @JsonProperty("build_under")
    private String buildUnder;

    /**
     * 是否设在建筑底层沿街
     */
    @JsonProperty("build_street")
    private String buildStreet;

    /**
     * 地上（层，局部）
     */
    @JsonProperty("local_above")
    private String localAbove;

    /**
     * 地上（整层）
     */
    @JsonProperty("above")
    private String above;

    /**
     * 地下（层，局部）
     */
    @JsonProperty("local_under")
    private String localUnder;

    /**
     * 地下（整层）
     */
    @JsonProperty("under")
    private String under;

    /**
     * 是否为沿街门面房（否）
     */
    @JsonProperty("facade_room")
    private String facadeRoom;

    /**
     * 建筑物名称
     */
    @JsonProperty("build_name")
    private String buildName;

    /**
     * 建成年代
     */
    @JsonProperty("complete_year")
    private String completeYear;

    /**
     * 建筑层数（地上）
     */
    @JsonProperty("above_floor")
    private String aboveFloor;

    /**
     * 建筑层数（地下）
     */
    @JsonProperty("under_floor")
    private String underFloor;

    /**
     * 地上建筑面积（㎡）
     */
    @JsonProperty("above_area")
    private String aboveArea;

    /**
     * 地下建筑面积（㎡）
     */
    @JsonProperty("under_area")
    private String underArea;

    /**
     * 建筑高度（m）
     */
    @JsonProperty("build_high")
    private String buildHigh;

    /**
     * 建筑性质
     */
    @JsonProperty("build_nature")
    private String buildNature;

    /**
     * 建筑结构
     */
    @JsonProperty("build_structure")
    private String buildStructure;

    /**
     * 是否采用外墙保温材料（否）
     */
    @JsonProperty("insulation")
    private String insulation;

    /**
     * 签名
     */
    @JsonProperty("sign")
    private String sign;


    @JsonProperty("build_number")
    private String buildNumber;

    @JsonProperty("insulation_mode")
    private String insulationMode;

    @JsonProperty("other_build")
    private String otherBuild;

    @JsonProperty("data_type")
    private String dataType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


}
