package com.bizmatics.mhfire.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 安保检查单位数据
 * </p>
 *
 * @author ya
 * @since 2022-10-25
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class DemSecurityCompany implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 主键ID
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 用户ID
     */
    @JsonProperty("app_key")
    private String appKey;

    /**
     * 单位类别
     */
    @JsonProperty("company_type")
    private String companyType;

    /**
     * 单位使用性质
     */
    @JsonProperty("use_nature")
    private String useNature;

    /**
     * 单位性质（其他）
     */
    @JsonProperty("company_nature")
    private String companyNature;

    /**
     * 单位（法人）名称
     */
    @JsonProperty("company_name")
    private String companyName;

    /**
     * 统一社会信用代码
     */
    @JsonProperty("credit_code")
    private String creditCode;

    /**
     * 单位（场所）实际名称
     */
    @JsonProperty("actual_name")
    private String actualName;

    /**
     * 网格号
     */
    @JsonProperty("grid_code")
    private String gridCode;

    /**
     * 所辖派出所
     */
    @JsonProperty("police_station")
    private String policeStation;

    /**
     * 单位所属街镇
     */
    @JsonProperty("street_town")
    private String streetTown;

    /**
     * 单位地址
     */
    @JsonProperty("company_address")
    private String companyAddress;

    /**
     * 单位内部地址编码
     */
    @JsonProperty("address_code")
    private String addressCode;

    /**
     * 是否包含住宿功能（否）
     */
    @JsonProperty("stay_function")
    private String stayFunction;

    /**
     * 消防安全责任人
     */
    @JsonProperty("safe_charge")
    private String safeCharge;

    /**
     * 消防安全管理人（联系人）
     */
    @JsonProperty("safe_manage")
    private String safeManage;

    /**
     * 联系电话（手机）
     */
    @JsonProperty("phone_number")
    private String phoneNumber;

    /**
     * 联系电话（固话）
     */
    @JsonProperty("fixed_phone")
    private String fixedPhone;

    /**
     * 是否自主消防安全管理（否）
     */
    @JsonProperty("fire_safe")
    private String fireSafe;

    /**
     * 消防安全管理单位名称
     */
    @JsonProperty("manage_company")
    private String manageCompany;

    /**
     * 直属上级单位名称
     */
    @JsonProperty("superior_company")
    private String superiorCompany;

    /**
     * 单位（场所）面积（㎡）
     */
    @JsonProperty("company_area")
    private String companyArea;

    /**
     * 签名
     */
    @JsonProperty("sign")
    private String sign;

    @JsonProperty("bed_number")
    private String bedNumber;


    @JsonProperty("data_type")
    private String dataType;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;


}
